
export default D.declare('view.cmp.field.Input', (cfg)=> {
    const dom = <input class="labeled-field__input" type={'text'} {...cfg}/>;
    if(cfg.bind){
        cfg.bind.sub(function (val) {
            dom.value = val;
        });
        dom.addEventListener('input', function () {
            cfg.bind.set(dom.value);
        })
    }
    return dom;
})